curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/accountingData \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/accountingData"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/accountingData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v1/accountingData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v1/accountingData"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v1/accountingData")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v1/accountingData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"TotalItems": 123,
"PageNumber": 123,
"PageSize": 123,
"Items": [
{
"DocumentNumber": "<string>",
"DocumentId": 123,
"DocumentDate": "2023-11-07T05:31:56Z",
"SalesOrderNumber": "<string>",
"SalesOrderId": 123,
"ExternalSalesOrderNumber": "<string>",
"DepartureCountry": {
"CountryISO": "<string>",
"StateISO": "<string>"
},
"ShipmentCountry": {
"CountryISO": "<string>",
"StateISO": "<string>"
},
"BillingAddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"ShipmentAddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"CurrencyIso": "<string>",
"Type": 0,
"CompanyId": 123,
"CompanyVatId": "<string>",
"CustomerVatId": "<string>",
"SalesChannelId": "<string>",
"IsCancelled": true,
"AccountDataLineItems": [
{
"ItemId": 123,
"Type": 0,
"Name": "<string>",
"TaxClassId": 123,
"GeneralLedgerAccount": "<string>",
"Quantity": 123,
"VatRate": 123,
"VatAmount": 123,
"TotalDiscountGrossAmount": 123,
"TotalDiscountNetAmount": 123,
"TotalGrossAmount": 123,
"TotalNetAmount": 123,
"SortOrder": 123
}
]
}
],
"TotalPages": 123,
"HasPreviousPage": true,
"HasNextPage": true,
"NextPageNumber": 123,
"PreviousPageNumber": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Accounting Data
Delivers a paginated overview of finalized accounting transactions, including invoices, credits, and their cancellations and corrections.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/accountingData \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/accountingData"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/accountingData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v1/accountingData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v1/accountingData"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v1/accountingData")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v1/accountingData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"TotalItems": 123,
"PageNumber": 123,
"PageSize": 123,
"Items": [
{
"DocumentNumber": "<string>",
"DocumentId": 123,
"DocumentDate": "2023-11-07T05:31:56Z",
"SalesOrderNumber": "<string>",
"SalesOrderId": 123,
"ExternalSalesOrderNumber": "<string>",
"DepartureCountry": {
"CountryISO": "<string>",
"StateISO": "<string>"
},
"ShipmentCountry": {
"CountryISO": "<string>",
"StateISO": "<string>"
},
"BillingAddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"ShipmentAddress": {
"Id": 123,
"Company": "<string>",
"Company2": "<string>",
"FormOfAddress": "<string>",
"Title": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"Street": "<string>",
"Address2": "<string>",
"PostalCode": "<string>",
"City": "<string>",
"State": "<string>",
"CountryIso": "<string>",
"VatID": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
},
"CurrencyIso": "<string>",
"Type": 0,
"CompanyId": 123,
"CompanyVatId": "<string>",
"CustomerVatId": "<string>",
"SalesChannelId": "<string>",
"IsCancelled": true,
"AccountDataLineItems": [
{
"ItemId": 123,
"Type": 0,
"Name": "<string>",
"TaxClassId": 123,
"GeneralLedgerAccount": "<string>",
"Quantity": 123,
"VatRate": 123,
"VatAmount": 123,
"TotalDiscountGrossAmount": 123,
"TotalDiscountNetAmount": 123,
"TotalGrossAmount": 123,
"TotalNetAmount": 123,
"SortOrder": 123
}
]
}
],
"TotalPages": 123,
"HasPreviousPage": true,
"HasNextPage": true,
"NextPageNumber": 123,
"PreviousPageNumber": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Authorizations
Headers
Query Parameters
Specifies the type of document. 0 = Invoice, 1 = Credit, 2 = Invoice correction, 3 = Invoice cancellation, 4 = credit cancellation, 5 = invoice correction cancellation 0 = Invoice, 1 = Credit, 2 = InvoiceCorrection, 3 = InvoiceCancellation, 4 = CreditCancellation, 5 = InvoiceCorrectionCancellation, 6 = Liquidation, 7 = LiquidationCancellation
0, 1, 2, 3, 4, 5, 6, 7 Response
Provides a detailed overview of all non-pending sales orders, including invoices, credits, invoice corrections, invoice cancellations, credit cancellations, and invoice correction cancellations, along with their associated line items
Represents a paginated list of items
Was this page helpful?